Base URL: https://demo-api.incodesmile.com — Incode demo environment
Issues a new token for an ACTIVE existing onboarding session, for example when a user starts onboarding on desktop and continues on mobile. The session is located by exactly one of: its onboarding-link uuid, its interviewId, or its externalId (the value supplied as externalId on /omni/start; deprecated, temporary available - will be removed soon). Providing zero or more than one identifier is rejected with 400. With useUuidOnlyOnce enabled the uuid is consumed by this call and can not be reused.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
uuid |
string | Onboarding-link uuid identifying the session to continue. Exactly one of uuid, interviewId or externalId must be provided. With useUuidOnlyOnce enabled the uuid is consumed by this call and can not be reused. | |
interviewId |
string | InterviewId of the session to continue. Exactly one of uuid, interviewId or externalId must be provided. | |
externalId |
string | Id that identifies the user in the client's system; matches the externalId supplied on /omni/start. Exactly one of uuid, interviewId or externalId must be provided. (Deprecated, temporary - will be removed soon; use interviewId or uuid instead.) |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
interviewId |
string | Identifies the onboarding session that is continued. Can be used for fetching data about that session in future calls. | |
token |
string | Internal JWT token used for the future subsequent calls. It is the value for X-Incode-Hardware-Id header in all other calls. | |
interviewCode |
string | This value is used for connecting to conference call. | |
flowType |
string | Type of the flow used. Could be flow (in most cases), or legacy type configuration (not used anymore). Enum: configuration, flow, workflow |
|
idCaptureTimeout |
integer (int32) | Number of seconds after which manual capture button should be shown to the user, while capturing ID when ID is detected. | |
idDetectionTimeout |
integer (int32) | Number of seconds after which manual capture button should be shown to the user, if ID is not detected. | |
selfieCaptureTimeout |
integer (int32) | Number of seconds after which manual capture button should be shown to the user, while capturing selfie. | |
idCaptureRetries |
integer (int32) | Number of ID captures after which user should be taken to next screen. | |
selfieCaptureRetries |
integer (int32) | Number of selfie captures after which user should be taken to next screen. | |
curpValidationRetries |
integer (int32) | Number of curp validations after which user should be taken to next screen. (only for Mexico) |
400
Custom error statuses: - 4026: Invalid uuid parameter (unknown or expired) - 4081: Invalid parameters for validation - 4086: Current session continuation period is expired. - 4087: Max number of session continuations reached - 4088: Session is not active - 4089: Zero or more than one of uuid / interviewId / externalId provided
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |
404
Session not found for the given interviewId or externalId within the api key's organization
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
interviewId |
string | Identifies the onboarding session that is continued. Can be used for fetching data about that session in future calls. | |
token |
string | Internal JWT token used for the future subsequent calls. It is the value for X-Incode-Hardware-Id header in all other calls. | |
interviewCode |
string | This value is used for connecting to conference call. | |
flowType |
string | Type of the flow used. Could be flow (in most cases), or legacy type configuration (not used anymore). Enum: configuration, flow, workflow |
|
idCaptureTimeout |
integer (int32) | Number of seconds after which manual capture button should be shown to the user, while capturing ID when ID is detected. | |
idDetectionTimeout |
integer (int32) | Number of seconds after which manual capture button should be shown to the user, if ID is not detected. | |
selfieCaptureTimeout |
integer (int32) | Number of seconds after which manual capture button should be shown to the user, while capturing selfie. | |
idCaptureRetries |
integer (int32) | Number of ID captures after which user should be taken to next screen. | |
selfieCaptureRetries |
integer (int32) | Number of selfie captures after which user should be taken to next screen. | |
curpValidationRetries |
integer (int32) | Number of curp validations after which user should be taken to next screen. (only for Mexico) |